# Clutter::TextureError Class Reference

Exception class for Clutter::Texture errors. More...

Inherits Glib::Error.

Collaboration diagram for Clutter::TextureError:
[legend]

List of all members.

## Public Types

enum | Code { OUT_OF_MEMORY, NO_YUV, BAD_FORMAT }

## Public Member Functions

| TextureError (Code error_code, const Glib::ustring& error_message)
| TextureError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Clutter::Texture errors.

## Member Enumeration Documentation

enum Clutter::TextureError::Code

Enumerator:

  OUT_OF_MEMORY |
  NO_YUV |
  BAD_FORMAT |

## Constructor & Destructor Documentation

Clutter::TextureError::TextureError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Clutter::TextureError::TextureError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Clutter::TextureError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- cluttermm/texture.h